<?xml version='1.0'?>
<xsl:stylesheet version="1.0"
	xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" 
	xmlns:rss="http://purl.org/rss/1.0/" 
	xmlns:slash="http://purl.org/rss/1.0/modules/slash/" 
	xmlns:taxo="http://purl.org/rss/1.0/modules/taxonomy/" 
	xmlns:dc="http://purl.org/dc/elements/1.1/" 
	xmlns:syn="http://purl.org/rss/1.0/modules/syndication/" 
	xmlns:admin="http://webns.net/mvcb/" 
	xmlns:feedburner="http://rssnamespace.org/feedburner/ext/1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    exclude-result-prefixes="xsl rdf rss slash taxo dc syn admin feedburner">

  <xsl:output method="html" />

  <xsl:param name="css" />

  <xsl:template match="/">
    <html xml:lang="en" lang="en">
       <xsl:apply-templates select="rdf:RDF"/>
    </html>
  </xsl:template>

  <xsl:template match="rdf:RDF">
  	<head>
  		<title>RSS from <xsl:value-of select="rss:channel/rss:title"/></title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<link rel="stylesheet" type="text/css" href="{$css}.css" media="screen" title="Standard"/>
  	</head>
  	<body>
		<xsl:apply-templates select="rss:channel"/>  
       	<xsl:for-each select="rss:item">
			<xsl:apply-templates select="."/>
        </xsl:for-each>  	
        <div class="footer">
        	 <p>Programmed by Yi-Hong Chang and Tyng-Ruey Chuang in Spring 2007.</p>
        </div>
  	</body>	
  </xsl:template>

  <xsl:template match="rss:channel">
	<div class="header">
        <h1><a href="{rss:link}"><xsl:value-of select="rss:title"/></a></h1>
        <h2><xsl:value-of select="rss:description"/></h2>
        <h3>Last Modified: <xsl:value-of select="dc:date"/></h3>
	</div>    
  </xsl:template>

  <xsl:template match="rss:item">
  	<div class="article">
	    	<h3><a href="{rss:link}"><xsl:value-of select="rss:title"/></a></h3>
		<h4><xsl:value-of select="dc:creator"/>, 
		<xsl:value-of select="dc:date"/>, 
		<xsl:value-of select="dc:subject"/></h4>
    	<div class="abstract">
    		<p><xsl:value-of select="rss:description"/></p>
    		<p class="readmore"><a href="{rss:link}">more ...</a></p>
    	</div>
  	</div>
   </xsl:template>
</xsl:stylesheet>